🚀 zembed-1 is now generally available through the API, all SDKs, and on the AWS Marketplace!
curl --request POST \
--url https://api.zeroentropy.dev/v1/documents/get-page-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"path": "<string>",
"page_index": 123,
"include_content": false
}
'{
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_name": "<string>",
"path": "<string>",
"page_index": 123,
"image_url": "<string>",
"content": "<string>"
}
}Retrieves information about a specific page. The request parameters define what information you would like to receive.
A 404 Not Found will be returned if either the collection name does not exist, or the document path does not exist within the provided collection.
curl --request POST \
--url https://api.zeroentropy.dev/v1/documents/get-page-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"path": "<string>",
"page_index": 123,
"include_content": false
}
'{
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_name": "<string>",
"path": "<string>",
"page_index": 123,
"image_url": "<string>",
"content": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.zeroentropy.dev/llms.txt
Use this file to discover all available pages before exploring further.
The name of the collection.
The filepath of the document whose page you are requesting. A 404 Not Found status code will be returned if no document with this path was found.
The specific page index whose info is being requested. Pages are 0-indexed, so that the 1st page of a PDF is of page index 0. You may use the num_pages attribute of /documents/get-document-info or /documents/get-document-info-list to know what the range of valid indices are. A 404 Not Found status code will be returned if no such page index exists.
If true, then the response will have the content attribute be a string, rather than null. This string will contain the full contents of the page.
Successful Response
Show child attributes